Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# OdeSurfaceParameters Class Reference

List of all members.

## Public Types
enum | ModeFlags { MFContactMu2 = 1, MFContactFDir1 = 2, MFContactBounce = 4, MFContactSoftERP = 8, MFContactSoftCFM = 16, MFContactMotion1 = 32, MFContactMotion2 = 64, MFContactSlip1 = 128, MFContactSlip2 = 256, MFContactApprox0 = 0, MFContactApprox11 = 4096, MFContactApprox12 = 8192, MFContactApprox1 = 12288 }
## Public Member Functions
| OdeSurfaceParameters (int mode, float mu)
| OdeSurfaceParameters (int mode)
| OdeSurfaceParameters ()
float | getBounce ()
float | getBounceVel ()
int | getMode ()
float | getMotion1 ()
float | getMotion2 ()
float | getMu ()
float | getMu2 ()
float | getSlip1 ()
float | getSlip2 ()
float | getSoftCfm ()
float | getSoftErp ()
| setBounce (float bounce)
| setBounceVel (float bounce_vel)
| setMode (int mode)
| setMotion1 (float motion)
| setMotion2 (float motion)
| setMu (float mu)
| setMu2 (float mu2)
| setSlip1 (float slip)
| setSlip2 (float slip)
| setSoftCfm (float soft_cfm)
| setSoftErp (float soft_erp)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Member Enumeration Documentation

enum ModeFlags

Enumerator:

  MFContactMu2 |
  MFContactFDir1 |
  MFContactBounce |
  MFContactSoftERP |
  MFContactSoftCFM |
  MFContactMotion1 |
  MFContactMotion2 |
  MFContactSlip1 |
  MFContactSlip2 |
  MFContactApprox0 |
  MFContactApprox11 |
  MFContactApprox12 |
  MFContactApprox1 |

## Constructor & Destructor Documentation

OdeSurfaceParameters | ( | int | mode,
|  | float | mu
| ) |  |

OdeSurfaceParameters | ( | int | mode | ) |

OdeSurfaceParameters | ( |  | ) |

## Member Function Documentation

float getBounce | ( |  | ) |

float getBounceVel | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

int getMode | ( |  | ) |

float getMotion1 | ( |  | ) |

float getMotion2 | ( |  | ) |

float getMu | ( |  | ) |

float getMu2 | ( |  | ) |

float getSlip1 | ( |  | ) |

float getSlip2 | ( |  | ) |

float getSoftCfm | ( |  | ) |

float getSoftErp | ( |  | ) |

setBounce | ( | float | bounce | ) |

setBounceVel | ( | float | bounce_vel | ) |

setMode | ( | int | mode | ) |

setMotion1 | ( | float | motion | ) |

setMotion2 | ( | float | motion | ) |

setMu | ( | float | mu | ) |

setMu2 | ( | float | mu2 | ) |

setSlip1 | ( | float | slip | ) |

setSlip2 | ( | float | slip | ) |

setSoftCfm | ( | float | soft_cfm | ) |

setSoftErp | ( | float | soft_erp | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties